Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager
Class RDBMPermissibleRegistry

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.RDBMPermissibleRegistry

    public class RDBMPermissibleRegistry

extends java.lang.Object

This class keeps track of IPermissible objects on behalf of CPermissionsManager, and is used to register new classes that generate CPermissionsManagerServants It also include hard coded references to 3 known IPermissibles, but will gracefully ignore them if they are not found

Field Summary
`private static RDBMPermissibleRegistry` | `_instance`
`private static java.lang.String` | `findPermissibles`
`private static org.apache.commons.logging.Log` | `log`
`private java.util.HashMap` | `owners`

Constructor Summary
`protected` | `RDBMPermissibleRegistry()` put your documentation comment here

Method Summary
`static IPermissible[]` | `getAllPermissible()` put your documentation comment here
`protected java.sql.Connection` | `getConnection()` put your documentation comment here
`private IPermissible[]` | `igetAllPermissible()` put your documentation comment here
`private void` | `init()` put your documentation comment here
`static RDBMPermissibleRegistry` | `instance()` put your documentation comment here
`protected void` | `iregisterPermissible(java.lang.String classname)` put your documentation comment here
`private void` | `registerKnownPermissibles()`
`static void` | `registerPermissible(java.lang.String classname)` put your documentation comment here
`protected void` | `releaseConnection(java.sql.Connection conn)` put your documentation comment here
`private void` | `unregister(java.lang.String permissibleClass)` put your documentation comment here

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### _instance

    private static RDBMPermissibleRegistry _instance

### owners

    private java.util.HashMap owners

### findPermissibles

    private static final java.lang.String findPermissibles

See Also:
  Constant Field Values

Constructor Detail

### RDBMPermissibleRegistry

    protected RDBMPermissibleRegistry()

  put your documentation comment here

Method Detail

### init

    private void init()

  put your documentation comment here

### instance

    public static RDBMPermissibleRegistry instance()

  put your documentation comment here

  Returns:
    a `RDBMPermissibleRegistry` singleton

### getAllPermissible

    public static IPermissible[] getAllPermissible()

  put your documentation comment here

  Returns:
    an array of `IPermissible`

### igetAllPermissible

    private IPermissible[] igetAllPermissible()

  put your documentation comment here

  Returns:
    an array of `IPermissible`

### registerKnownPermissibles

    private void registerKnownPermissibles()

### registerPermissible

    public static void registerPermissible(java.lang.String classname)

  put your documentation comment here

  Parameters:
    `classname` -

### iregisterPermissible

    protected void iregisterPermissible(java.lang.String classname)

  put your documentation comment here

  Parameters:
    `classname` -

### unregister

    private void unregister(java.lang.String permissibleClass)

  put your documentation comment here

  Parameters:
    `permissibleClass` -

### getConnection

    protected java.sql.Connection getConnection()

  put your documentation comment here

  Returns:

### releaseConnection

    protected void releaseConnection(java.sql.Connection conn)

  put your documentation comment here

  Parameters:
    `conn` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD